Bug 139020 - elementary: Proposal to Revert All Blue-Violet Color Arrow Pair to One Coherent Color
Summary: elementary: Proposal to Revert All Blue-Violet Color Arrow Pair to One Cohere...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.2.0 target:7.1.0.2
Keywords:
Depends on:
Blocks: Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2020-12-18 07:05 UTC by Rizal Muttaqin
Modified: 2021-01-20 13:56 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Notice color inconsistency in 7.2 version (76.13 KB, image/png)
2020-12-18 07:05 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-12-18 07:05:55 UTC
Created attachment 168275 [details]
Notice color inconsistency in 7.2 version

In 6.0 version, elementary use many orange elements in the icons. One of the element is arrow. Fast forward to current latest master version (7.2.0 alpha when this bug report is written), these elements change to some mixtures of blue and violet. This decision lead to a chaotic visual in my eyes. How if we would like to make a change?

Considering our commitment (or at least my commitment) to keep update with elementary upstream, there's no clear guideline nor example icons which color we should use for this element. At least we can choose between two: 

a) either blue. We can see blue element in Increase Indent (.uno:IncrementIndent) which follows https://github.com/elementary/icons/blob/master/actions/24/format-indent-more.svg and Decrease Indent (.uno:DecrementIndent) from https://github.com/elementary/icons/blob/master/actions/24/format-indent-less.svg.

As a sidenote, we had already over using blue in some other icon themes like Colibre and Sukapura

b) either orange. We can see original orange element in Bring to Front (.uno:BringToFront) which was taken from https://github.com/elementary/icons/blob/master/actions/24/selection-top.svg

Please share your thought, which color elements we should go: blue or orange?


Version: 7.2.0.0.alpha0+
Build ID: d9ccee2231a8d8984302e1b2f578bf73b4d60c35
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-12-15_03:50:32
Calc: threaded
Comment 1 andreas_k 2020-12-18 08:14:15 UTC
I'm also thinking of use blue and violet in collibre instead of blue only.

two colors:
+ you can faster recognize increase / decrease
- more colors mean the icons are more in the focus
- I think it's to difficult that the user remember violet is for shrink, redo, ... and blue for grow, undo, ...
+ If you have one focus color (highlight color) the UI is a bit more balanced. It would be usefull if the user know color violet is for x and blue for y but I think there is no real benefit for the user. It's more an visual element only.
Comment 2 andreas_k 2020-12-18 08:15:30 UTC
> b) either orange. We can see original orange element in Bring to Front
> (.uno:BringToFront) which was taken from
> https://github.com/elementary/icons/blob/master/actions/24/selection-top.svg

Yes the old orange was a bit to bright. The new one from elementary is better.
Comment 3 Rizal Muttaqin 2020-12-18 22:33:22 UTC
(In reply to andreas_k from comment #1)
> I'm also thinking of use blue and violet in Colibre instead of blue only.

This is obviously should go for another ticket.

> two colors:
> + you can faster recognize increase / decrease
> - more colors mean the icons are more in the focus
> - I think it's to difficult that the user remember violet is for shrink,
> redo, ... and blue for grow, undo, ...

The best example of two color scheme is Karasa Jaga, it has green for grow and increase while red for shrink and decrease. I have no objection in term of visual part as the two colors are easy recognizable and commonly accepted. But blue and violet? They are too forced.

While the pairing idea came from export (https://github.com/elementary/icons/blob/master/actions/24/document-export.svg) and import (https://github.com/elementary/icons/blob/master/actions/24/document-import.svg) from upstream, but now I feel this turns to be a bad choice.

> + If you have one focus color (highlight color) the UI is a bit more
> balanced. It would be useful if the user know color violet is for x and
> blue for y but I think there is no real benefit for the user. It's more an
> visual element only.

We can make use of https://elementary.io/brand for color choice. Really helpful (Thanks Heiko who pointed out the link)

But the real question is, what is your suggestion? Single blue or single orange?
I can say that orange are more ubiquitous in LibreOffice elementary theme than blue, but I have no strong feeling that orange has such strong bond with elementary as a whole. They even change their navigation arrow from black to green (https://github.com/elementary/icons/commit/7184365ef71baab276a4e1c9341f396b47c213e4?short_path=9982040#diff-99820403de4bea3c97cc11c032bf5382c9e2150a45793ec8171ba76c54965d8d).
Comment 4 andreas_k 2020-12-23 05:08:10 UTC
(In reply to andreas_k from comment #2)
> > b) either orange. We can see original orange element in Bring to Front
> > (.uno:BringToFront) which was taken from
> > https://github.com/elementary/icons/blob/master/actions/24/selection-top.svg
> 
> Yes the old orange was a bit to bright. The new one from elementary is
> better.

So let's go with orange.
Comment 5 Commit Notification 2020-12-25 13:25:03 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e3deff4ba21d2953638ae6c4845af93b98af86f0

elementary tdf#139219 tdf#139056 tdf#139020

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-12-26 22:06:59 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d038129facbecc1b5af8670f3283a25a82151bca

elementary: tdf#139020 update arrow color to be more coherent

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-12-30 08:02:49 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b808610533fce13228c4f4ad8924586b560a5928

elementary: tdf#139020 update color for icons with arrow

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-01-04 04:44:29 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/8971b4ca5db46720079dd3239c9465dcc2d42190

tdf#139056 tdf#139353 tdf#139020 tdf#139219 tdf#139174 tdf#139048 tdf#139046 tdf#139052

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.